Download it now!
Bug 31796 - Filtered rows not skipped when using Shift-arrow to expand a selection
Summary: Filtered rows not skipped when using Shift-arrow to expand a selection
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: x86 (IA32) Linux (All)
: medium normal
Assignee: Kohei Yoshida
URL:
Whiteboard: target:3.3
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-20 12:17 UTC by Cor Nouws
Modified: 2011-01-13 03:32 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Cor Nouws 2010-11-20 12:17:13 UTC
EDITING, LibO 3.3.0 Beta3

With a spreadsheet and filtered rows
- Select a cel 
- Use shft-arrow to expand the selection
 > invisible rows are not skipped

 So for example row 1 and 4 are vissible
 and 2 and 3 invisible

If a cell in row 1 is selected, SHft-Down must be used three times to expand the selection.

Expected: shft-down expands from row 1 to 4 in one time.
Comment 1 Kohei Yoshida 2010-11-20 13:34:01 UTC
Confirmed.  I think this is safe enough for 3.3.  I'll look into it.
Comment 2 Kohei Yoshida 2010-11-29 21:54:55 UTC
typo.
Comment 3 Kohei Yoshida 2010-11-29 22:11:08 UTC
Ok.  Now this is fixed on the libreoffice-3-3 branch.

http://cgit.freedesktop.org/libreoffice/calc/commit/?h=libreoffice-3-3&id=04608abcf80b8182509a9fc8b5f0d8088c47e045
Comment 4 sophie 2011-01-13 03:32:27 UTC
Verified - Closed - Sophie